## cascading.flow.local.stream
Class LocalStepStreamGraph

    java.lang.Object
      cascading.flow.stream.StreamGraph
          cascading.flow.stream.StepStreamGraph
              cascading.flow.local.stream.LocalStepStreamGraph

    public class LocalStepStreamGraph

extends StepStreamGraph

Field Summary

Fields inherited from class cascading.flow.stream.StepStreamGraph
`flowProcess, step`

Fields inherited from class cascading.flow.stream.StreamGraph
`DOT_FILE_PATH, ERROR_DOT_FILE_NAME`

Constructor Summary
`LocalStepStreamGraph(FlowProcess<Properties> flowProcess, LocalFlowStep step)`

Method Summary
`protected void` `buildGraph()`
`protected Gate` `createCoGroupGate(CoGroup element)`
`protected Gate` `createGroupByGate(GroupBy element)`
`protected Duct` `createMergeStage(Merge merge)`
`protected SinkStage` `createSinkStage(Tap element)`
`protected boolean` `stopOnElement(FlowElement lhsElement, List<FlowElement> successors)`

Methods inherited from class cascading.flow.stream.StepStreamGraph
`createBlockingJoinGate, createHashJoinGate, createNonBlockingJoinGate, findExisting, getProperty, handleDuct, setScopes, setTraps`

Methods inherited from class cascading.flow.stream.StreamGraph
`addHead, addPath, addPath, addTail, asPathList, bind, cleanup, countAllEventingPathsTo, createFork, createNextFor, createOpenReducingWindow, createOpenWindow, findAllNextFor, findAllPreviousFor, getAllDucts, getHeads, getReversedGraph, getReversedTopologicalOrderIterator, getTails, getTopologicalOrderIterator, ordinalBetween, prepare, printGraph, printGraph, printGraphError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalStepStreamGraph

    public LocalStepStreamGraph(FlowProcess<Properties> flowProcess,
                                LocalFlowStep step)

Method Detail

### buildGraph

    protected void buildGraph()

### createCoGroupGate

    protected Gate createCoGroupGate(CoGroup element)

  Specified by:
    `createCoGroupGate` in class `StepStreamGraph`

### createGroupByGate

    protected Gate createGroupByGate(GroupBy element)

  Specified by:
    `createGroupByGate` in class `StepStreamGraph`

### createMergeStage

    protected Duct createMergeStage(Merge merge)

  Overrides:
    `createMergeStage` in class `StepStreamGraph`

### createSinkStage

    protected SinkStage createSinkStage(Tap element)

  Overrides:
    `createSinkStage` in class `StepStreamGraph`

### stopOnElement

    protected boolean stopOnElement(FlowElement lhsElement,
                                    List<FlowElement> successors)

  Specified by:
    `stopOnElement` in class `StepStreamGraph`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.